Bug 136756 - missing return statement
missing return statement
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ggv (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-22 03:59 EDT by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-09 15:49:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-10-22 03:59:20 EDT
Description of problem:

I just tried to compile package ggv-2.8.0-1 from package
Redhat Fedora Core 3 Test 3.

The compiler said

ggv-window.c(1023): remark #1011: missing return statement at end of
non-void function "ggv_add_open_button"

The source code is

        bonobo_ui_component_widget_set (ui_component, path, GTK_WIDGET
(button),                                        NULL);
}

Suggest either mark the function as void return type or add a return
statement at the end of the routine.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dan Williams 2004-11-17 13:25:43 EST
Mass reassign to Marco.
Comment 2 Ray Strode [halfline] 2005-09-09 15:49:08 EDT
Hi,

We don't really support ggv anymore.  Have you tried Evince? It is a much nicer
postscript / pdf file viewing solution.

Note You need to log in before you can comment on or make changes to this bug.